安装Golang 1.6及开发环境

zolo · · 3090 次点击 · · 开始浏览    
这是一个创建于 的文章,其中的信息可能已经有所发展或是发生改变。

安装Golang 1.6及开发环境
=====================================
> 下载软件
    * go1.4.2.linux-amd64.tar.gz
    * go1.6.2.linux-amd64.tar.gz
    * liteidex29.linux-64-qt4.tar.bz2
    * libpng-1.2.56.tar.xz: http://nchc.dl.sourceforge.net/project/libpng/libpng12/1.2.56/libpng-1.2.56.tar.xz
    注意: Golang1.5+自举构建,执行src/all.bash需要$HOME/go1.4/bin/go
    
> 安装步骤
    * 安装go1.4
        - 解压重名: tar -zvxf go1.4.2.linux-amd64.tar.gz -C ~/ && mv go go1.4
    * 安装go1.6
        - 解压:
            tar -zvxf go1.6.2.linux-amd64.tar.gz -C /usr/local/
        - 编译:
            /usr/local/go/src/all.bash #注意: 该步信赖$HOME/go1.4/bin/go
        _ 链接:
            update-alternatives --install /usr/bin/go go /usr/local/go/bin/go 100
            update-alternatives --install /usr/bin/godoc godoc /usr/local/go/bin/godoc
            update-alternatives --install /usr/bin/gofmt gofmt /usr/local/go/bin/gofmt
            
        - 检测:
            go version
            godoc -http=:8080 #注意:linux下1024前的端口要求root权限.
            访问http://localhost:8080显示golang documents
     * 安装liteide:
        - 解压:
            tar -jxvf liteidex29.linux-64-qt4.tar.bz2 -C /usr/local #注意bz2要用j
        ! 注意: liteidex29依赖libpng12, 如果系统是libpng15+, 需要自己编译! 方法:
            xz -d libpng-1.2.56.tar.xz && tar -xvf libpng-1.2.56.tar && cd libpng12
            apt-get install zlib1g-dev
            ./configure #默认安装在/usr/local/lib即可
            ./make
            sudo make install
            sudo ldconfig #加载配置更新,否则提示无法找到libpng12.0.so
            
      


有疑问加站长微信联系(非本文作者)

本文来自:博客园

感谢作者:zolo

查看原文:安装Golang 1.6及开发环境

入群交流(和以上内容无关):加入Go大咖交流群,或添加微信:liuxiaoyan-s 备注:入群;或加QQ群:701969077

3090 次点击  
加入收藏 微博
暂无回复
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传